import { Subject } from 'rxjs';
import { IToastNotification, IToastConfig, IAddToastNotification, IToastComponentConfig } from './toast-notifications.model';
import * as i0 from "@angular/core";
export declare class ToastNotificationsService {
    protected readonly _toastNotifications: import("@angular/core").WritableSignal<{
        [id: string]: IToastNotification;
    }>;
    readonly toastNotifications: import("@angular/core").Signal<IToastNotification[]>;
    protected readonly toastConfig: import("@angular/core").WritableSignal<IToastConfig>;
    protected readonly _config: import("@angular/core").WritableSignal<IToastComponentConfig>;
    readonly config: import("@angular/core").Signal<IToastComponentConfig>;
    updateConfig(val: Partial<IToastComponentConfig>): void;
    generateUUID: () => string;
    addToastNotification: (item: IAddToastNotification) => {
        id: string;
        update: (update: Partial<IAddToastNotification>) => void;
        close: () => void;
        loader: {
            play: () => void;
            stop: () => void;
        };
        closed: Subject<{
            manuallyClosed: boolean;
        }>;
    };
    formatToast: (item: IToastNotification) => IToastNotification;
    handleDuration: (item: Partial<IToastNotification>) => void;
    updateToastNotification: (id: string, item: Partial<IAddToastNotification>) => void;
    toggleToastNotification: (id: string, expand?: boolean) => void;
    closeToastNotification: (id: string, manualDismissal: boolean) => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ToastNotificationsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ToastNotificationsService>;
}
